body{
  background-color:rgb(18 16 14);
  margin: 20px;
  font-family: roboto;
}
.header-img{
  height: 100px;
  margin-left: 50px;
  filter: drop-shadow(0px 0px 4px  white);

}

header{
  background-color: black;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  border-bottom: solid 1px rgb(0, 0, 0);
  box-shadow: 0px -20px 14px 20px black;
  z-index: 2;
  height: 100px;
  
}

nav {
  display: flex;
  gap: 30px;
  align-items: center;
  margin-right: 50px;
  
}

nav a{
   text-decoration: none;
   font-family: roboto;
   color: rgb(255, 255, 255);
   font-size: 30px;
   margin-left: 16px;
}

nav a:hover{
  filter: drop-shadow(0px 0px 4px  #e4e4e4);
  text-decoration: underline;
  
}

.navImage{
  width: 80px;
  border-radius: 50px;
  margin-top: 10px;
}

.navImage:hover {
  cursor:pointer;
  filter: drop-shadow(0px 0px 4px  #ffffff);
  
 }

.overlay{
  position: fixed;
  top: 100px;
  right: 0;
  display: flex;
  flex-direction: column;
  width: 200px;
  height: 100%;
  background-color: rgb(0, 0, 0);
  gap: 50px;
  border-left: solid 1px black;
  box-shadow: -2px 3px 15px 0px black;
  text-align: center;
  align-items: center;
  padding-top: 50px;
  font-size: 20px;
  transform: translateX(201px);
  transition: all 225ms ease-in-out;
  font-family: roboto;
  z-index: 2;
}
.overlay img {
    width: 90px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.overlay a{
  font-size: 20px;  
  text-decoration: none;
  color: rgb(255, 255, 255);
}

.link1{
  color: red;
  text-decoration: none;
    font-family: roboto;
     font-size: 30px;
    margin-left: 16px;
}

.link:hover{
  filter: drop-shadow(0px 0px 4px  #ff0000);
  text-decoration: underline;
}

.overlay a:hover{
  filter: drop-shadow(0px 0px 4px  #e4e4e4);
}
.show-overlay{
  transform: translateX(0px);
}

.menu-img{
  transform: rotate(180deg);
  transition: all 225ms ease-in-out;
  width: 60px;
  margin-right: 30px;
}

.menu-show{
  transform: rotate(90deg);
}

/* Section 2 Bildergalerie Einfügen */

.content{
  display: flex;
  flex-direction: row;
  gap: 40px;
  flex-wrap: wrap;
  margin-top: 150px;
  justify-content: center;
  }

 
  
  .img-box{
    display: flex;
    flex-direction: row;
    }

  .Bilder{
    object-position: 100% 50%;
    height: 300px;
    filter: drop-shadow(0 0 0.75rem rgb(65, 60, 60));
    transition: scale 250ms ease-in-out;
    border-radius: 10px;
    scale: 0.95;
    opacity: 0.80;  
  }
      
  

  .Bilder:hover{
    cursor: pointer;
    scale: 1.1;
    opacity: 1;
    }

  .FullSize{
    display: flex;
    align-items: center;
    justify-content: center;
    position:fixed;
        top: 0;
        right: 0;
        left: 0;
        bottom: 0;
      background-color: #010101e8;
      gap: 10px;
      z-index: 2;
}

.box-img{
  width: 790px;
  object-fit: contain;
  border-radius: 20px;
  
}

.pfeil:hover{
  display: flex;
  cursor: pointer;
  transition: all 1s ease-out;
}

.arrows{
  display: flex;
    position: fixed;
    bottom: 20px;
    gap: 80px;
}

.display{
    display: flex;
    align-items: center;
    justify-content: center;
    
}

.d-none{
  display: none;
}

.transition {
  transition: .5s ease;
}



/* Main Site CSS */
.container{
  display: flex;
  flex-direction: column;
   align-items: center;
   justify-content: center;
   margin-top: 140px;
   gap: 20px;}

.text {
	font-family: roboto;
	font-size: 70px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  }

  span{
    font-family:roboto;
    margin: 0px;
    color: #ff0101;
    font-size: 70px;
    font-weight: bold;
  }

	.wrapper {
		padding-left: 20px;
		padding-right: 20px;
		padding-top: 20px;
		.letter {
			transition: ease-out 1s;
			transform: translateY(40%);
      color: white;
      margin-bottom: 10px;
		}
		.shadow {
			transform: scale(1, -1);
			color: #ffffff28;
			transition: ease-in 5s, ease-out 5s;
		}
		&:hover {
			.letter {
				transform: translateY(-20%);
			}
			.shadow {
				opacity: 0;
				transform: translateY(50%);
			}
		}
	}


.galerie {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 2rem;
	justify-content: center;
	align-items: center;
  padding: 0px;
	img {
		border-radius: 1.5rem;
		object-fit: cover;
		object-position: 50% 50%;
		width: 12rem;
		height: 20rem;
		vertical-align: bottom;
		transition: scale 250ms ease-in-out;
		&:hover {
			scale: 1.1;
      
		}
  }}







  



  
@media(min-width: 1060px){
    .menu-img{
      display: none;
      
    }

    .overlay{
      display:none
    }
   
}

@media(max-width: 1060px){
  .link{
    display: none;
  }

  .link1{
    display: none;
  }
}

@media(min-width: 700px){
  .arrows{
    display: none;
  }

  
}

@media(max-width: 700px){
    
      .pfeil{
        display: none;
      }

      .box-img{
        max-width: 100%;
      }
    }



  


@media(max-width: 500px){
  .facebookLink{
    display: none;
  }

  

  .overlay{
    width: 100px;
  }

  .overlay a{
    font-size: 15px;
  }

  .overlay img{
    width: 60px;
    height: 50px;
  }

  .header-img{
    height: 50px;
  }
  
  .galerie {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    padding: 0px;
    margin-left: 10px;
    img {
      border-radius: 1.5rem;
      object-fit: cover;
      object-position: 50% 50%;
      width: 3rem;
      height: 9rem;
      vertical-align: bottom;
      transition: scale 250ms ease-in-out;
      &:hover {
        scale: 1.1;
        
      }
    }}

    .text {
      font-size: 15px;
      
  }

  span{
    font-size: 30px;
  }

  .container{
    margin-top: 150px;
  }

  .menu-img{
    margin-right: -20px;
  }

  .Bilder{
    height: 130px;
  }

  .wrapper {
    padding-left: 10px;

  
}

}



 







